%global date 20070629
%global momorel 1

Name:           libpciaccess
Version:        0.8
Release:        0.%{date}.%{momorel}m%{?dist}
Summary:        PCI access library

Group:          System Environment/Libraries
License:        MIT/X
URL:            http://gitweb.freedesktop.org/?p=xorg/lib/libpciaccess.git
# git snapshot.  To recreate, run
# % ./make-libpciaccess-snapshot.sh %{gitrev}
Source0:        libpciaccess-%{date}.tar.bz2
Source1:        make-libpciaccess-snapshot.sh
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  autoconf automake libtool pkgconfig
Requires:       hwdata

%description
libpciaccess is a library for portable PCI access routines across multiple
operating systems.

%package devel
Summary:        PCI access library development package
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development package for libpciaccess.

%prep
%setup -q -n %{name}-%{date}

%build
autoreconf -fi
%configure --disable-static
%make 

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

rm -f %{buildroot}/%{_libdir}/*.la

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
%{_libdir}/libpciaccess.so.0
%{_libdir}/libpciaccess.so.0.8.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/pciaccess.h
%{_libdir}/libpciaccess.so
%{_libdir}/pkgconfig/pciaccess.pc

%changelog
* Sat Jun 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8-0.20070629-1m)
- Initial commit

